APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
Permission type
Permissions (from least to most privileged)
Delegated (work or school account)
Group.ReadWrite.All
Delegated (personal Microsoft account)
Not supported.
Application
Not supported.
HTTP request
PATCH /groups/{id}/threads/{id}
Request headers
Name
Type
Description
Authorization
string
Bearer {token}. Required.
Request body
In the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.
Response
If successful, this method returns a 204 No Content response code.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := graphmodels.NewConversationThread()
additionalData := map[string]interface{}{
"originalStartTimeZone" : "originalStartTimeZone-value",
"originalEndTimeZone" : "originalEndTimeZone-value",
responseStatus := graphmodels.New()
response := ""
responseStatus.SetResponse(&response)
time := "datetime-value"
responseStatus.SetTime(&time)
requestBody.SetResponseStatus(responseStatus)
"uid" : "iCalUId-value",
"reminderMinutesBeforeStart" : int32(99) ,
isReminderOn := true
requestBody.SetIsReminderOn(&isReminderOn)
}
requestBody.SetAdditionalData(additionalData)
graphClient.GroupsById("group-id").ThreadsById("conversationThread-id").Patch(requestBody)
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestBody = new ConversationThread();
$additionalData = [
'originalStartTimeZone' => 'originalStartTimeZone-value',
'originalEndTimeZone' => 'originalEndTimeZone-value',
'responseStatus' => $requestBody = new ResponseStatus();
$ requestBody->setResponse('');
$ requestBody->setTime('datetime-value');
$requestBody->setResponseStatus($responseStatus);
'uid' => 'iCalUId-value',
'reminderMinutesBeforeStart' => 99,
'isReminderOn' => true,
];
$requestBody->setAdditionalData($additionalData);
$graphServiceClient->groupsById('group-id')->threadsById('conversationThread-id')->patch($requestBody);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.